%define pkg_name Phidget
%define pkg_summary Phidget22 Python wrapper library
%define date 20220530

%define debug_package %{nil}

Name:           python-%{pkg_name}
Version:        2.2
Release:        1.%{date}%{?dist}
Summary:        %{pkg_summary}

License:        LGPLv2
URL:            http://www.phidgets.com
# wget --content-disposition https://www.phidgets.com/downloads/phidget22/libraries/any/Phidget22Python.zip
Source0:        https://www.phidgets.com/downloads/phidget22/libraries/any/Phidget22Python/Phidget22Python_1.10.%{date}.zip
#Patch0:         setup.py-author.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{pkg_summary}

%package -n python3-%{pkg_name}
Summary:        %{pkg_summary}
%{?python_provide:%python_provide python3-%{pkg_name}}
Requires:       libphidget22

%description -n python3-%{pkg_name}
%{pkg_summary}

%prep
%autosetup -n %{pkg_name}22Python

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{pkg_name}
%{python3_sitelib}/*

%changelog
